<p align="center">
 <img src="https://raw.githubusercontent.com/jbeguna04/bulma-fluent/master/LogoDesign/banner1.png" width=900 align="center">
</p>

Logo Design by Jibbie Eguna(jbeguna04)
# Bulma-Fluent:

> Fluent Design Theme for [Bulma](http://bulma.io), inspired by [Microsoft’s Fluent Design System](https://fluent.microsoft.com).

> [Fluent Design Components for Vue.js](https://github.com/mubaidr/vue-fluent) are also available.

> [Addons for Bulma](https://github.com/mubaidr/bulma-addons) are also available.

<br/>

<a href="https://patreon.com/mubaidr">
  <img src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" height="42">
</a>

[![NPM](https://nodei.co/npm/bulma-fluent.png?compact=true)](https://nodei.co/npm/bulma-fluent/)

![dependencies](https://david-dm.org/mubaidr/bulma-fluent.svg)

## Demo

[mubaidr.github.io/bulma-fluent](https://mubaidr.github.io/bulma-fluent/)

## Quick install

### NPM

```sh
npm install bulma-fluent
```

### Yarn

```sh
yarn add bulma-fluent
```

### Import

After installation, you can import the CSS/Sass file into your project using this snippet:

#### css

```sh
import 'bulma-fluent/css/bulma.css'
```

#### sass

```sh
import 'bulma-fluent/bulma.sass'
```

## CDN link

[unpkg.com/bulma-fluent](https://unpkg.com/bulma-fluent/css/)

## Download from this Repository

[Download Latest Minified Build](https://raw.githubusercontent.com/mubaidr/bulma-fluent/master/css/bulma.min.css)

## Customize

Simply set your own Sass variables before importing Bulma-fluent.

```scss
// Set your brand colors
$primary: #8a4d76;
$info: #fa7c91;
$success: #757763;
$warning: yellow;
$danger: red;
$light: #ccc;
$dark: #444;

// Update font family
$family-sans-serif: 'Calibri', 'Arial';

// Import the Bulma-fluent
@import 'bulma-fluent/bulma.sass';
```

## Copyright and license

Code copyright 2018 [Muhammad Ubaid Raza](https://mubaidr.github.io).

Code released under [the MIT license](https://github.com/jgthms/bulma/blob/master/LICENSE).
